Bug 134441 - gwenview overwrites files when "saving as..." without warning [KDE4.0.1]
Summary: gwenview overwrites files when "saving as..." without warning [KDE4.0.1]
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-21 12:06 UTC by S. Burmeister
Modified: 2012-10-19 13:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2006-09-21 12:06:30 UTC
Version:           1.4.0 (using KDE KDE 3.5.4)
Installed from:    SuSE RPMs
OS:                Linux

If I click on an image-link, the image is openend in a new konqueror tab, using gwenview. If I select "Save as.." from the File-menu and click on some existing file and then on "Save". The file is overwritten without warning.
Comment 1 FiNeX 2007-12-29 13:42:17 UTC
This happen even on gwenview 2.0
Comment 2 Aurelien Gateau 2007-12-30 00:00:17 UTC
I do not have the time to fix this in the KDE3 version (Gwenview 1.4.x) but it will be fixed in KDE4.1. I can't fix it for KDE4.0 because fixing it requires adding a new string and we are in string-freeze mode.
Comment 3 S. Burmeister 2007-12-30 00:30:28 UTC
Since this bug leads to data-loss I think the string freeze does not prevent a bugfix.
Comment 4 FiNeX 2007-12-30 00:40:21 UTC
I agree with S.Burmeister: string freeze is less important than this.
Comment 5 Aurelien Gateau 2008-01-03 22:51:34 UTC
I see your point, but it's too late for KDE 4.0.0 anyway (tagging will start in a few hours). I will fix it in 4.1.0 and will probably be able to backport it to 4.0.1.
Comment 6 Aurelien Gateau 2008-01-19 23:40:24 UTC
SVN commit 763621 by gateau:

Prompt for confirmation before overwriting an existing file.
BUG: 134441

 M  +15 -0     mainwindow.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=763621
Comment 7 Aurelien Gateau 2008-01-20 00:07:26 UTC
I backported it to KDE 4.0.1.
Comment 8 FiNeX 2008-01-20 12:47:09 UTC
Thanks Aurelien!